/*******************************************************************************
 *  ============LICENSE_START=======================================================
 *  slice-analysis-ms
 *  ================================================================================
 *   Copyright (C) 2022 Huawei Canada Limited.
 *  ==============================================================================
 *     Licensed under the Apache License, Version 2.0 (the "License");
 *     you may not use this file except in compliance with the License.
 *     You may obtain a copy of the License at
 *
 *          http://www.apache.org/licenses/LICENSE-2.0
 *
 *     Unless required by applicable law or agreed to in writing, software
 *     distributed under the License is distributed on an "AS IS" BASIS,
 *     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *     See the License for the specific language governing permissions and
 *     limitations under the License.
 *     ============LICENSE_END=========================================================
 *
 *******************************************************************************/
package org.onap.slice.analysis.ms.service;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class RateLimiterTest {

    RateLimiter rateLimiter;

    @Before
    public void setUp() throws Exception {
        rateLimiter = new RateLimiter(1, 5000);
    }

    @Test
    public void getTokenTest() throws InterruptedException {
        rateLimiter.getToken();
        long requestTime1 = System.currentTimeMillis();
        rateLimiter.getToken();
        long requestTime2 = System.currentTimeMillis();
        assertTrue("Actually is: " + (requestTime2 - requestTime1)
                , requestTime2 - requestTime1 >= 5000);
    }
}
